Ticket #2990 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

formTableのcheckListの文字列が、Netscape7.x,Mozilla1.xで表示されない

Reported by: takai Assigned to: takai
Priority: minor Milestone: OpenPNE2.13.3
Component: pne-xhtmlcss Version: 2.12.x & 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■現象

formTableのcheckList(プロフィール変更項目のリスト設問など)で、文字列が長い半角英数字(長い単語)のときに、改行された文字列が表示されていない。

■発生バージョン

#1952及びr6169の修正が適用されているバージョン(XHTML+CSS化をした2.12.0以降)

■再現手順

管理画面からプロフィール変更項目で、ラジオボタンかチェックボックスの設問を作り、ある項目に「aaaabbbbccccddddeeeeffff」などの長い単語を入れる。

同行の項目には複数行になるような文字列を入れない方がよい。同行の他の項目が複数行になると行自体が複数行となり、長い単語のみのセルも表示されることがある。

長い単語のあるリストの設問を表示(ユーザとしてプロフィール変更しようとするなど)すると、NetscapeとMozillaでは改行された部分の文字列が表示されていない(ドラッグによるスクロールでは表示できる)。

■環境

-moz-scrollbars-none という独自プロパティ値を実装しているMozilla系(Firefoxは含まない)

  • Netscape(7.x)
  • Mozilla(1.x)

■関連情報

Change History

09/04/08 18:41:53 changed by takai

  • status changed from new to assigned.
  • type changed from enhancement to defect.

チケットのTypeを間違えていたので defect に修正します。

09/19/08 16:40:48 changed by takai

  • CSS: r8411
  • マークアップ修正あり
    • c_event_invite.tpl
    • c_event_mail.tpl
    • c_event_mail_confirm.tpl
    • c_invite.tpl
    • f_invite.tpl
    • h_config_prof.tpl
    • h_regist_prof.tpl
    • o_regist_prof.tpl
修正前
<div class="checkList"><ul>
<li><input type="checkbox" class="input_checkbox" name="profile[test5][]" id="profile-test5-111" value="111" /><label for="profile-test5-111">選択肢1</label></li>

...省略
  • inputとlabelを一緒に <div class="item">~</div> で囲む。
修正後
<div class="checkList"><ul>
<li><div class="item"><input type="checkbox" class="input_checkbox" name="profile[test5][]" id="profile-test5-111" value="111" /><label for="profile-test5-111">ラジオ1</label></div></li>

...省略

09/19/08 20:58:53 changed by takai

  • keywords set to 確認中.

09/19/08 21:01:19 changed by takai

#2844で修正に関して説明しています。

09/22/08 14:04:16 changed by ebihara

  • keywords deleted.
  • milestone set to OpenPNE2.13.3.

対応ありがとうございます。取り込みをおこないます。

09/22/08 17:19:59 changed by ebihara

  • keywords set to 確認中.

r8430 で修正をおこないました。

09/22/08 17:26:18 changed by ebihara

  • type changed from defect to enhancement.

開発版のみの対応なので enhancement に変更します。

09/26/08 21:26:39 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

09/26/08 22:19:30 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

05/25/09 14:32:40 changed by kudo

  • description changed.